*Set the working directory to the folder with the replication files
cd "/Users/zhaosongruan/Desktop/阮兆松文档/The University of Chicago/Research Assistant/Professor Ashworth/QJPS/16109/Iteration 1/qjps_16109_supp"

*****************************************
*REGRESSION ESTIMATES********************
*****************************************


*TABLE 1
use "earnings.dta", clear
reg earnings imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg earnings imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year, cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg earnings imsharewf i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(imsharewf) dec(2) stats(coef se )  par(se) 
reg earnings neweu i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(neweu) dec(2) stats(coef se )  par(se) 
reg earnings nonwest i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(nonwest) dec(2) stats(coef se )  par(se) 
reg unempyr imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg emp imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg empft imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg welfare imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year [aweight=natpop], cluster(skillcell)
outreg2 using "tab1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 

*TABLE 2
use "voteshares.dta", clear
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab2.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009, cluster(skillcell)
outreg2 using "tab2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frps imsharewf edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab2.tex", append nocons nor noast label keep(imsharewf) dec(2) stats(coef se )  par(se) 
reg frps neweu edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab2.tex", append nocons nor noast label keep(neweu) dec(2) stats(coef se )  par(se) 
reg frps nonwest edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab2.tex", append nocons nor noast label keep(nonwest) dec(2) stats(coef se )  par(se) 

*TABLE 3
ivreg2 frps (imshare= predim) edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell) first rf small partial(edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009)
outreg2 using "tab3.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)  addstat(Kleibergen-Paap F-value,e(rkf))
reg frps  predim  edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab3.tex", append nocons nor noast label keep(predim) dec(2) stats(coef se )  par(se)   
reg imshare  predim  edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab3.tex", append nocons nor noast label keep(predim) dec(2) stats(coef se )  par(se)
use "earnings.dta", clear
ivreg2 earnings (imshare= predim) komp_2-komp_4 excat_2-excat_8 year_3-year_18 excat2year1- komp4excat8 [aweight=natpop], cluster(skillcell) first rf partial(komp_2-komp_4 excat_2-excat_8 year_3-year_18 excat2year1- komp4excat8) 
outreg2 using "tab3.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)  addstat(Kleibergen-Paap F-value,e(rkf))
reg earnings predim komp_2-komp_4 excat_2-excat_8 year_3-year_18 excat2year1- komp4excat8 [aweight=natpop], cluster(skillcell) 
outreg2 using "tab3.tex", append nocons nor noast label keep(predim) dec(2) stats(coef se )  par(se) 
reg imshare predim komp_2-komp_4 excat_2-excat_8 year_3-year_18 excat2year1- komp4excat8 [aweight=natpop], cluster(skillcell) 
outreg2 using "tab3.tex", append nocons nor noast label keep(predim) dec(2) stats(coef se )  par(se) 


*TABLE 4
use "voteshares.dta", clear
*First row
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row1.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg aps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg hs imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg svs imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
*Second row
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009, cluster(skillcell)
outreg2 using "tab4row2.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg aps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009, cluster(skillcell)
outreg2 using "tab4row2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg hs imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009, cluster(skillcell)
outreg2 using "tab4row2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg svs imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009, cluster(skillcell)
outreg2 using "tab4row2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
*Third row
ivreg2 frps (imshare= predim) edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell) small partial(edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009)
outreg2 using "tab4row3.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
ivreg2 aps (imshare= predim) edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell) small partial(edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009)
outreg2 using "tab4row3.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
ivreg2 hs (imshare= predim) edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell) small partial(edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009)
outreg2 using "tab4row3.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
ivreg2 svs (imshare= predim) edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell) small partial(edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009)
outreg2 using "tab4row3.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
*Fourth row
reg frps neweu edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row4.tex", replace nocons nor noast label keep(neweu) dec(2) stats(coef se )  par(se) 
reg aps neweu edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row4.tex", append nocons nor noast label keep(neweu) dec(2) stats(coef se )  par(se) 
reg hs neweu edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row4.tex", append nocons nor noast label keep(neweu) dec(2) stats(coef se )  par(se) 
reg svs neweu edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row4.tex", append nocons nor noast label keep(neweu) dec(2) stats(coef se )  par(se) 

*Fifth row
reg frps nonwest edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row5.tex", replace nocons nor noast label keep(nonwest) dec(2) stats(coef se )  par(se) 
reg aps nonwest edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row5.tex", append nocons nor noast label keep(nonwest) dec(2) stats(coef se )  par(se)
reg hs nonwest edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row5.tex", append nocons nor noast label keep(nonwest) dec(2) stats(coef se )  par(se)
reg svs nonwest edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "tab4row5.tex", append nocons nor noast label keep(nonwest) dec(2) stats(coef se )  par(se)

*TABLE 5
use "panel.dta", clear
reg frp imshareXimpol_t1 imshareXredist_t1 imshare impol_t1 redist_t1 i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year, cl(skillcell)
outreg2 using "tab5.tex", replace nocons nor noast label keep(imshareXimpol_t1 imshareXredist_t1 imshare impol_t1 redist_t1) dec(2) stats(coef se )  par(se) 
reg sv imshareXimpol_t1 imshareXredist_t1 imshare impol_t1 redist_t1 i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year, cl(skillcell)
outreg2 using "tab5.tex", append nocons nor noast label keep(imshareXimpol_t1 imshareXredist_t1 imshare impol_t1 redist_t1) dec(2) stats(coef se )  par(se) 

*APPENDIX
*TABLE A1
use "voteshares.dta", clear
reg frps imshare lnsize edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba1.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frps l_imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba1.tex", append nocons nor noast label keep(l_imshare) dec(2) stats(coef se )  par(se) 
reg lnfrpvs imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba1.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 

*TABLE A2
reg vs imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba2.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg krfs imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg sps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg incumbents imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg turnout imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
outreg2 using "taba2.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 

*TABLE A3
use "individual.dta", clear
reg frp imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year, cluster(skillcell)
outreg2 using "taba3.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frp imshare male age i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year, cluster(skillcell)
outreg2 using "taba3.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frp imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if male==1, cluster(skillcell)
outreg2 using "taba3.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frp imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if male==0, cluster(skillcell)
outreg2 using "taba3.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 

*TABLE A4
reg sv imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year, cluster(skillcell)
outreg2 using "taba4.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg sv imshare male age i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year, cluster(skillcell)
outreg2 using "taba4.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg sv imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if male==1, cluster(skillcell)
outreg2 using "taba4.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg sv imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if male==0, cluster(skillcell)
outreg2 using "taba4.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 

*TABLE A5
use "panel.dta", clear
reg frp imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if ap_t1==1, cl(skillcell)
outreg2 using "taba5.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg sv imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if ap_t1==1, cl(skillcell)
outreg2 using "taba5.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frp imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if h_t1==1, cl(skillcell)
outreg2 using "taba5.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg sv imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if h_t1==1, cl(skillcell)
outreg2 using "taba5.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg frp imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if nonv_t1==1, cl(skillcell)
outreg2 using "taba5.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 
reg sv imshare i.komp i.excat i.year i.komp#i.excat i.komp#i.year i.excat#i.year if nonv_t1==1, cl(skillcell)
outreg2 using "taba5.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se) 

*TABLE A6
use "voteshares.dta", clear
*excl 1993
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=1993, cluster(skillcell)
outreg2 using "taba6.tex", replace nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
reg frps imshare unempyr edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=1993, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
*excl 1997
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=1997, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
reg frps imshare unempyr edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=1997, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
*excl 2001
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=2001, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
reg frps imshare unempyr edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=2001, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
*excl 2005
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=2005, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
reg frps imshare unempyr edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=2005, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
*excl 2009
reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=2009, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)
reg frps imshare unempyr edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs] if year!=2009, cluster(skillcell)
outreg2 using "taba6.tex", append nocons nor noast label keep(imshare) dec(2) stats(coef se )  par(se)

*****************************************
*FIGURES*********************************
*****************************************

*FIGURE 2
use "voteshares.dta", clear
twoway line imshare year, by(skillcell, cols(8)) xlabel(1993 2009)
graph export "fig2left.pdf", as(pdf) replace
twoway line frps year, by(skillcell, cols(8)) xlabel(1993 2009)
graph export "fig2right.pdf", as(pdf) replace

*FIGURE 3
quietly reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 excat2Xedu2-excat8Xedu4 yr1997Xedu2-yr2009Xedu4 excat2Xyr1997-excat8Xyr2009 [aweight= noobs], cluster(skillcell)
avplot imshare, mlabel(year) xlabel(-.08 -.03 .02 .07) ylabel(-.08 -.03 .02 .07)
graph export "fig3.pdf", as(pdf) replace

*FIGURE A-1
gen x = imshare-.08
gen y = .0494795*x
quietly reg frps imshare edu2-edu4 yr1997 yr2001 yr2005 yr2009 excat2-excat8 [aweight= noobs], cluster(skillcell)
avplot imshare, mlabel(year) xscale(range(-.05 (.05) .15)) yscale(range(-.10 (.05) .15)) addplot(line y x if x<.15)
graph export "figa1.pdf", as(pdf) replace
